MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
Nightingale Forums - How to Build On OSX | (Preview/Test Build Inside)

Nightingale Forums

Full Version: How to Build On OSX | (Preview/Test Build Inside)
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2 3
(05-16-2015, 06:28 PM)freaktechnik Wrote: [ -> ]
(05-15-2015, 09:59 AM)zjays Wrote: [ -> ]For anyone concerned: Building from the latest sb-trunk-oldxul is failing for me on Mac (I double-checked that building from the 1.12.1 release tag still works). I'm still using XCode 3.1.4. Terminal output is attached.

What immediately stood out to me, is your --enable-compiler-environement-checks=no. Try --disable-compiler-environment-checks instead.

Just got the chance to try this now. Using --disable-compiler-environment-checks in build.sh, I still get the same error.

After trying to build after checking out a bunch of different commits, I determined this commit was the one that makes the error come up: https://github.com/nightingale-media-pla...961c29fdeb
(07-25-2015, 08:55 PM)zjays Wrote: [ -> ]After trying to build after checking out a bunch of different commits, I determined this commit was the one that makes the error come up: https://github.com/nightingale-media-pla...961c29fdeb

What's the equivalent to the lines
Code:
checking build system type... x86_64-apple-darwin12.6.0
checking host system type... x86_64-apple-darwin12.6.0
checking target system type... x86_64-apple-darwin12.6.0
before that commit? I could imagine that the new config guess detects something the old one did not, and the regex or whatever it is marking supported architectures cannot handle that.
(07-26-2015, 01:04 AM)rsjtdrjgfuzkfg Wrote: [ -> ]What's the equivalent to the lines
Code:
checking build system type... x86_64-apple-darwin12.6.0
checking host system type... x86_64-apple-darwin12.6.0
checking target system type... x86_64-apple-darwin12.6.0
before that commit? I could imagine that the new config guess detects something the old one did not, and the regex or whatever it is marking supported architectures cannot handle that.
Good call. The new config detects I'm using a 64-bit system, while I the old one reported a 32-bit system. I updated the code to allow building on a 64-bit system (See Issue #354 for the whole explanation), but the resulting package was missing several .dylib files, causing it to crash upon starting. I've attached the build outputs from both cases (system reported as x86_64 vs. i686) if anyone is interested to compare them. However, I assume there's no point trying to get x86_64 building working until we also try to use a newer XCode/build dependencies.
Pages: 1 2 3